Package dev.plex.services.impl

# Class CommandBlockerService

java.lang.Object
dev.plex.services.AbstractService
dev.plex.services.impl.CommandBlockerService

All Implemented Interfaces:
  `PlexBase`, `IService`

public class CommandBlockerService extends AbstractService

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `private static final List<BlockedCommand>`
  `BLOCKED_COMMANDS`

  ### Fields inherited from interface dev.plex.PlexBase

  `plugin`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CommandBlockerService()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `repeatInSeconds()`
  `void`
  `run(io.papermc.paper.threadedregions.scheduler.ScheduledTask task)`

  ### Methods inherited from class dev.plex.services.AbstractService

  `onEnd, onStart`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### BLOCKED_COMMANDS

    private static final List<BlockedCommand> BLOCKED_COMMANDS

- ## Constructor Details

  - ### CommandBlockerService

    public CommandBlockerService()

- ## Method Details

  - ### run

    public void run(io.papermc.paper.threadedregions.scheduler.ScheduledTask task)

  - ### repeatInSeconds

    public int repeatInSeconds()